/*
Theme Name:   MediCenter Child
Description:  MediCenter Child Theme
Template:     medicenter
Version:      1.0
Text Domain:  medicenter
*/

/*------------------------------------------CF7 Style Modifications------------------------------------------*/

/* Text areas */
.wpcf7 textarea {
	width:70%;
	border: none;
	border-radius: 0px;
	outline: none;
	background-color: #f0f0f0;
	padding: 1% 1% 1% 1.5%;
	margin: 0.4em 0.2em 0.4em 0.4em;
}

/* Text areas in focus*/
.wpcf7 textarea:focus {
	outline: solid 2px #42b3e5;

}

/* Text fields */
.wpcf7 input[type="text"],
.wpcf7 input[type="tel"],
.wpcf7 input[type="email"],
.wpcf7 input[type="number"] {
	border: none;
	border-radius: 0px;
	outline: none;
	background-color: #f0f0f0;
	padding: 1% 1% 1% 1.5%;
	margin: 0.4em 0.2em 0.4em 0.4em;
}

/* Text fields in focus */
.wpcf7 input:focus[type="text"],
.wpcf7 input:focus[type="tel"],
.wpcf7 input:focus[type="email"],
.wpcf7 input:focus[type="number"] {
	outline: solid 2px #42b3e5;
}

/* Radio buttons */
.wpcf7 input[type="radio"] {
	opacity:0;
}

.wpcf7 input[type="radio"] + span::before {
	display: inline-block;
	position: static;
	left: -28px;
	bottom: 5px;
	width: 40px;
	height: 40px;
	margin: -1px 4px 0 0;
	vertical-align: middle;
	cursor: pointer;
}

.wpcf7 input[type="radio"] + span::before {
	content: '';
	background:url('/wp-content/images/checkbox.png') no-repeat center center;
}

.wpcf7 input[type="radio"]:checked + span::before {
	content: '';
	background:url('/wp-content/images/checked.png') no-repeat center center;
}

span.wpcf7-list-item-label { cursor: pointer; }



/* Next-Previous-Submit Buttons */
.wpcf7 input.wpcf7-submit, input.wpcf7-previous {
	border: none;
	border-radius: 0px;
	outline: none;
	background-color: #3156a3;
	padding: 1% 2.5% 1% 2.5%;
	color: #fff;
	margin: 0.4em;
	cursor: pointer;
	transition: all 0.3s ease 0s;
}

.wpcf7 input.wpcf7-submit:hover, input.wpcf7-previous:hover {
	background-color: #42b3e5;
}